Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.db.hibernate
Class JbpmNamingStrategy

    java.lang.Object
      org.jbpm.db.hibernate.JbpmNamingStrategy

All Implemented Interfaces:
  org.hibernate.cfg.NamingStrategy

    public class JbpmNamingStrategy

extends java.lang.Object
implements org.hibernate.cfg.NamingStrategy

Constructor Summary
`JbpmNamingStrategy()`

Method Summary
`java.lang.String` | `classToTableName(java.lang.String className)`
`java.lang.String` | `collectionTableName(java.lang.String ownerEntityTable, java.lang.String associatedEntityTable, java.lang.String propertyName)`
`java.lang.String` | `collectionTableName(java.lang.String arg0, java.lang.String arg1, java.lang.String arg2, java.lang.String arg3, java.lang.String arg4)`
`java.lang.String` | `columnName(java.lang.String columnName)`
`java.lang.String` | `foreignKeyColumnName(java.lang.String propertyName, java.lang.String propertyTableName, java.lang.String referencedColumnName)`
`java.lang.String` | `foreignKeyColumnName(java.lang.String arg0, java.lang.String arg1, java.lang.String arg2, java.lang.String arg3)`
`java.lang.String` | `joinKeyColumnName(java.lang.String joinedColumn, java.lang.String joinedTable)`
`java.lang.String` | `logicalCollectionColumnName(java.lang.String columnName, java.lang.String propertyName, java.lang.String referencedColumn)`
`java.lang.String` | `logicalCollectionTableName(java.lang.String tableName, java.lang.String ownerEntityTable, java.lang.String associatedEntityTable, java.lang.String propertyName)`
`java.lang.String` | `logicalColumnName(java.lang.String columnName, java.lang.String propertyName)`
`java.lang.String` | `propertyToColumnName(java.lang.String propertyName)`
`java.lang.String` | `propertyToTableName(java.lang.String className, java.lang.String propertyName)`
`java.lang.String` | `tableName(java.lang.String tableName)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JbpmNamingStrategy

    public JbpmNamingStrategy()

Method Detail

### classToTableName

    public java.lang.String classToTableName(java.lang.String className)

  Specified by:
    `classToTableName` in interface `org.hibernate.cfg.NamingStrategy`

### propertyToColumnName

    public java.lang.String propertyToColumnName(java.lang.String propertyName)

  Specified by:
    `propertyToColumnName` in interface `org.hibernate.cfg.NamingStrategy`

### tableName

    public java.lang.String tableName(java.lang.String tableName)

  Specified by:
    `tableName` in interface `org.hibernate.cfg.NamingStrategy`

### columnName

    public java.lang.String columnName(java.lang.String columnName)

  Specified by:
    `columnName` in interface `org.hibernate.cfg.NamingStrategy`

### propertyToTableName

    public java.lang.String propertyToTableName(java.lang.String className,
                                                java.lang.String propertyName)

### collectionTableName

    public java.lang.String collectionTableName(java.lang.String ownerEntityTable,
                                                java.lang.String associatedEntityTable,
                                                java.lang.String propertyName)

### joinKeyColumnName

    public java.lang.String joinKeyColumnName(java.lang.String joinedColumn,
                                              java.lang.String joinedTable)

  Specified by:
    `joinKeyColumnName` in interface `org.hibernate.cfg.NamingStrategy`

### foreignKeyColumnName

    public java.lang.String foreignKeyColumnName(java.lang.String propertyName,
                                                 java.lang.String propertyTableName,
                                                 java.lang.String referencedColumnName)

### logicalColumnName

    public java.lang.String logicalColumnName(java.lang.String columnName,
                                              java.lang.String propertyName)

  Specified by:
    `logicalColumnName` in interface `org.hibernate.cfg.NamingStrategy`

### logicalCollectionTableName

    public java.lang.String logicalCollectionTableName(java.lang.String tableName,
                                                       java.lang.String ownerEntityTable,
                                                       java.lang.String associatedEntityTable,
                                                       java.lang.String propertyName)

  Specified by:
    `logicalCollectionTableName` in interface `org.hibernate.cfg.NamingStrategy`

### logicalCollectionColumnName

    public java.lang.String logicalCollectionColumnName(java.lang.String columnName,
                                                        java.lang.String propertyName,
                                                        java.lang.String referencedColumn)

  Specified by:
    `logicalCollectionColumnName` in interface `org.hibernate.cfg.NamingStrategy`

### collectionTableName

    public java.lang.String collectionTableName(java.lang.String arg0,
                                                java.lang.String arg1,
                                                java.lang.String arg2,
                                                java.lang.String arg3,
                                                java.lang.String arg4)

  Specified by:
    `collectionTableName` in interface `org.hibernate.cfg.NamingStrategy`

### foreignKeyColumnName

    public java.lang.String foreignKeyColumnName(java.lang.String arg0,
                                                 java.lang.String arg1,
                                                 java.lang.String arg2,
                                                 java.lang.String arg3)

  Specified by:
    `foreignKeyColumnName` in interface `org.hibernate.cfg.NamingStrategy`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD